<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('property__types', function (Blueprint $table) {
            $table->id();
            
            // $table->unsignedBigInteger('id_prop');
            // $table->foreign('id_prop')->references('id')->on('properties')->onDelete('cascade');

            $table->string('type_name');
            $table->enum('status', ['on', 'off'])->default('on');
            $table->text("description")->nullable();
            $table->timestamps();
            $table->softDeletes();

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('property__types');
    }
};
